Bug 287371 - yum-updatesd appears liable to cause download leak.
yum-updatesd appears liable to cause download leak.
Status: CLOSED DUPLICATE of bug 400841
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 05:06 EDT by Chris Neville-Smith
Modified: 2008-05-28 15:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Neville-Smith 2007-09-12 05:06:07 EDT
Description of problem:

Sometimes when I use updating software (be it yum, pup, yum-updatesd or yumex),
it keeps downloading data but fails to reach the stage where it informs you what
updates are available. In yum and yumex, the error message that keeps appears is
"metadata file does not match checksum", and then tries to download update dtat
from another mirror (and then another, and then another, and another,and so on),
so presumably this is also the same cause of yum-updatesd and pup not working
properly.

In yum, yumex and pup, this doesn't matter too much, because once it's obvious
the application isn't working, you can quit it, stop the downloading of useless
data, and try again later. However, I've noticed at least one occasion where my
router has been endlessly downloading data before the yum-updatesd applet
appears, which makes me suspect that yum-updatesd is liable to download metadata
from every single mirror if the checksums don't match. And since it isn't
obvious to the average user what yum-updatesd is doing, you could potentially
end up downloading a lot of bandwidth without realising it. Which is a problem
if you're on pay-as-you-go or download limits.

My suggestion is that yum-updatesd should try a maximum of, say, three mirrors
without prompting, and then either give up or ask the user if he/she wants
yum-updatesd to keep trying.

I've put this as "medium" as we probably don't want linux newbies discovering
their download sizes going out of control.

Version-Release number of selected component (if applicable):

All releases in f7, as far as I can tell.

How reproducible:

Sporadically. (Whenever checksums don't match.)

Steps to Reproduce:
1. Log into fedora as normal.
  
Actual results:
Most of the time: updates alert appears as normal.
If you're unlucky: updates alert fails to appear whilst your router appears to
download metadata from one mirror after another.

Expected results:

Updates alert should appear all of the time.

Additional info:

I'm afraid I don't know how to examine the yum output in yum-updatesd. It would
help if I could.
Comment 1 Bug Zapper 2008-05-14 10:19:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2008-05-28 15:05:09 EDT

*** This bug has been marked as a duplicate of 400841 ***

Note You need to log in before you can comment on or make changes to this bug.